Bug 1000092 - [RFE] Hide Removed systems by default
[RFE] Hide Removed systems by default
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.14
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.17
: ---
Assigned To: Amit Saha
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 11:59 EDT by Jeff Burke
Modified: 2018-02-05 19:41 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 19:27:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Nick Coghlan 2013-08-23 01:57:35 EDT
Currently, the Systems page displays *all* systems by default, even those that have been removed. This can be misleading, since it means the "Items count" displayed includes systems that don't actually exist.

We could improve the situation by filtering out removed systems by default, and having a checked-by-default "Exclude removed systems" checkbox in the search options to indicate that this is the case. Unchecking the checkbox would restore the current behaviour.

This approach would also generalise to other features that are likely to get a "Removed" equivalent at some point to handle foreign key constraints (like user groups, access policies and system pools).
Comment 3 Nick Coghlan 2013-08-23 01:59:21 EDT
Note: removed systems should be ignored by default on other pages as well (such as the system lists on group pages)
Comment 5 Nick Coghlan 2014-02-11 22:25:03 EST
Adding the check box to the existing search patches may be difficult, so another potentially simpler way to do this could be to always include a "not Removed" filter on most pages that display system lists, and then have a separate page dedicated to resurrecting removed systems.
Comment 6 Nick Coghlan 2014-02-20 23:25:02 EST
We've come up with a simpler proposal for this: filter Removed systems by default on all pages, and have a dedicated "Systems->Removed" page that can be used to resurrect a previously removed system.
Comment 7 Amit Saha 2014-03-10 22:23:37 EDT
(In reply to Nick Coghlan from comment #6)
> We've come up with a simpler proposal for this: filter Removed systems by
> default on all pages, and have a dedicated "Systems->Removed" page that can
> be used to resurrect a previously removed system.

If I understand this correctly, the proposal is to not display systems which have been removed from the following pages:

1. Group systems page
2. User systems ("My Systems")

If I have understood correctly, this hides the removed systems if I do not actively search for them. I am not sure if this is desired. Perhaps there is a better solution from the UI point of view to hide the removed systems by default but also make it clear that there *are* removed systems?

A new top level page Systems->Removed will have all the removed systems. However, on the group/user systems pages, the search can be used to find the broken systems.  

The global Systems->Available and Systems->Free pages doest not show the removed systems at present. The Systems->All page will continue to display *all* systems (broken, automated, removed, manual). So, the global existing pages will have no change.
Comment 8 Nick Coghlan 2014-03-11 03:25:58 EDT
Pages other than Systems->Removed should all have an implied "status != Removed" *even when searching*.

That even includes the Systems->All page should also change (perhaps with a name change to "Installed")

Systems->Removed would then be the only way to resurrect a previously removed system and move it back to one of the Installed states.

The question to ask is "What is the use case for caring about the existence of removed systems?". There's definitely one for admins, which is "we removed it, but now we're reinstalling it with the same details" (if the removal is only temporary for repairs, "Broken" is a better fit).

For everyone else, though, Removed systems are irrelevant - they just clutter up results and mess with system counts.

Perhaps worth starting a beaker-devel thread about it.
Comment 9 Amit Saha 2014-03-13 07:14:50 EDT
Here is a proposed patch: http://gerrit.beaker-project.org/#/c/2912/

Changes:

- A new "Systems->Removed" page and a --removed option for bkr list-systems
- All system search defaults to systems which have not been removed
Comment 10 Amit Saha 2014-03-16 22:09:51 EDT
This changes existing behavior and is best served in a non-maintenance release with a proper release note.
Comment 11 Amit Saha 2014-03-16 22:11:04 EDT
Retargetd to develop: http://gerrit.beaker-project.org/#/c/2926/
Comment 12 Amit Saha 2014-03-18 02:58:28 EDT
(In reply to Amit Saha from comment #9)
> Here is a proposed patch: http://gerrit.beaker-project.org/#/c/2912/
> 
> Changes:
> 
> - A new "Systems->Removed" page and a --removed option for bkr list-systems
> - All system search defaults to systems which have not been removed

The main use case that this RFE addresses is that Beaker users shouldn't see removed systems as part of the default search results (for eg. systems in a certain group, in all systems, etc.).  

Records of these systems will however appear on pages such as the "System Activity"  and search results of previous task executions. None of the existing records of the system are modified from the database.
Comment 15 Amit Saha 2014-04-29 01:09:25 EDT
(In reply to xuezhi ma from comment #14)

> 
> part4: Removed not listed under my systems, result: FAIL
> 1. Loaned test1 machine to myself and change its status to broken.

You probably mean "Removed". 

patch: http://gerrit.beaker-project.org/#/c/3044/1
Comment 18 Dan Callaghan 2014-06-10 19:27:50 EDT
Beaker 0.17.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.